API ReferenceGuarantorV1
Create guarantor
Creates a new guarantor and returns the newly created Guarantor object.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
encounter_id*EncounterId
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/guarantors/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "first_name": "string", "last_name": "string", "external_id": "string", "address": { "address1": "string", "city": "string", "state": "AA", "zip_code": "string" } }'{ "guarantor_id": "c0c01d4d-fcb6-471e-b135-937143c9f8d1", "phone_numbers": [ { "number": "1234567890", "type": "Home" } ], "phone_consent": true, "email": "string", "email_consent": true, "auto_charge_consent": true, "first_name": "string", "last_name": "string", "external_id": "string", "date_of_birth": "2019-08-24", "address": { "zip_plus_four_code": "string", "address1": "string", "address2": "string", "city": "string", "state": "AA", "zip_code": "string" }}